## Apache Zeta Components Manual :: Docs For Class ezcConsoleOutputOptions

### ConsoleTools::ezcConsoleOutputOptions

### Class ezcConsoleOutputOptions

Struct class to store the options of the ezcConsoleOutput class.

This class stores the options for the ezcConsoleOutput class.

Source for this file: /ConsoleTools/src/options/output.php

    ezcBaseOptions
       |
       --ezcConsoleOutputOptions

Version: | //autogen//

### Properties

int | read/write | `$autobreak` Determines, whether text is automatically wrapped after a specific amount of characters in a line. If set to 0 (default), lines will not be wrapped automatically.
bool | read/write | `$useFormats` Whether to use formatting or not.
int | read/write | `$verbosityLevel` Determines the level of verbosity.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__construct( $options )` Construct a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

void __construct( array(string=>mixed) $options )

Construct a new options object.

NOTE: For BC reasons the old method of instanciating this class is kept, but the usage of the new version is highly encouraged.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3